Bug 2245910 (CVE-2023-46846)

Summary: CVE-2023-46846 squid: Request/Response smuggling in HTTP/1.1 and ICAP
Product: [Other] Security Response Reporter: Robb Gatica <rgatica>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: ashokk, kyoneyam, sigbjorn.lie
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: squid 6.4 Doc Type: If docs needed, set a value
Doc Text:
SQUID is vulnerable to HTTP request smuggling, caused by chunked decoder lenience, allows a remote attacker to perform Request/Response smuggling past firewall and frontend security systems.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2245911    
Bug Blocks: 2245907    

Description Robb Gatica 2023-10-24 14:42:40 UTC
Description: Due to chunked decoder lenience Squid is vulnerable to
Request/Response smuggling attacks when parsing HTTP/1.1
and ICAP messages

Reference: https://github.com/squid-cache/squid/security/advisories/GHSA-j83v-w3p4-5cqh

Affected versions: 2.6-6.3. Patched in 6.4.

Comment 1 Robb Gatica 2023-10-24 14:42:57 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 2245911]

Comment 5 errata-xmlrpc 2023-11-02 09:35:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:6266 https://access.redhat.com/errata/RHSA-2023:6266

Comment 6 errata-xmlrpc 2023-11-02 09:44:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2023:6268 https://access.redhat.com/errata/RHSA-2023:6268

Comment 7 errata-xmlrpc 2023-11-02 09:50:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:6267 https://access.redhat.com/errata/RHSA-2023:6267

Comment 8 errata-xmlrpc 2023-11-07 10:27:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:6748 https://access.redhat.com/errata/RHSA-2023:6748

Comment 9 errata-xmlrpc 2023-11-08 10:24:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2023:6803 https://access.redhat.com/errata/RHSA-2023:6803

Comment 10 errata-xmlrpc 2023-11-08 10:25:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2023:6801 https://access.redhat.com/errata/RHSA-2023:6801

Comment 11 errata-xmlrpc 2023-11-08 10:29:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Advanced Mission Critical Update Support
  Red Hat Enterprise Linux 8.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.4 Telecommunications Update Service

Via RHSA-2023:6804 https://access.redhat.com/errata/RHSA-2023:6804

Comment 12 errata-xmlrpc 2023-11-08 11:00:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2023:6810 https://access.redhat.com/errata/RHSA-2023:6810

Comment 13 errata-xmlrpc 2023-11-14 17:17:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:7213 https://access.redhat.com/errata/RHSA-2023:7213